# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ramistat"
version = "1.0.0"
authors = ["yunta <maciej.blomberg@mikoton.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Middleware for web applications. Keeps app state in sync with URL, manages history, async orders, live data feeds."
readme = "README.md"
keywords = [
    "middleware",
    "state",
    "synchronize",
    "network",
]
license = "MIT"

[[bin]]
name = "ramistat"
path = "src/main.rs"

[dependencies.aes]
version = "0.8.4"

[dependencies.anyhow]
version = "1.0.99"

[dependencies.bytes]
version = "1.10.1"

[dependencies.clap]
version = "4.5.40"
features = ["derive"]

[dependencies.env_logger]
version = "0.11.8"

[dependencies.fpe]
version = "0.6.1"

[dependencies.hex]
version = "0.4.3"

[dependencies.http]
version = "1.3.1"

[dependencies.log]
version = "0.4.27"

[dependencies.serde]
version = "1.0.219"

[dependencies.serde_json]
version = "1.0.143"

[dependencies.sqlx]
version = "0.8.6"
features = [
    "tls-rustls",
    "runtime-tokio",
    "postgres",
    "sqlite",
    "any",
]

[dependencies.tokio]
version = "1.47.1"
features = ["full"]

[dependencies.url]
version = "2.5.7"

[dependencies.warp]
version = "0.4.2"
features = ["server"]

[dev-dependencies.rand]
version = "0.9.2"
